#!/bin/sh

PATH=/bin:/usr/bin:/sbin

stop xsession/bluetoothd

MY_BDA=`cat /sys/class/bluetooth/hci0/address`

[ -z "$MY_BDA" ] && exit 2

#removing all lines from config except name
#(Terminal based private user data should not be modified)
sed -i "/^name/!d" /var/lib/bluetooth/$MY_BDA/config

# disable Bluetooth in the MCE
# the last argument in the call (uint32:8) is to filter
# the BT bit.
dbus-send --system --type=method_call --dest=com.nokia.mce \
 /com/nokia/mce/request \
 com.nokia.mce.request.req_radio_states_change \
 uint32:0 uint32:8
