#!/bin/sh

BLUEZ_DIR=/var/lib/bluetooth
BACKUP_DIR=/home/user/.bluez_backup

if test -d $BLUEZ_DIR; then
    rm -rf $BACKUP_DIR
    cp -a $BLUEZ_DIR $BACKUP_DIR || exit 2
    chown -R user:users $BACKUP_DIR || exit 2
else
    exit 2
fi

exit 0
